/*
* Copyright (c) 2011, 2013, Oracle and/or its affiliates. All rights reserved.
* ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
*/
package com.sun.ts.tests.jpa.common.pluggability.altprovider.implementation;

import java.lang.instrument.IllegalClassFormatException;
import java.security.ProtectionDomain;

import javax.persistence.spi.ClassTransformer;

public class ClassTransformerImpl implements ClassTransformer {

	protected TSLogger logger;

	public ClassTransformerImpl() {
		logger = TSLogger.getInstance();
	}

	@Override
	public byte[] transform(ClassLoader arg0, String className, Class<?> classBeingRedefined,
			ProtectionDomain arg3, byte[] arg4)
			throws IllegalClassFormatException {
		        logger.log("Called ClassTransformerImpl.transform()");

		return null;//indicates no transformation
	}

}

